package com.bocloud.cmp.provider.campus;

import com.bocloud.cmp.provider.SuperProvider;
import com.bocloud.common.model.BocloudResult;
import com.bocloud.nms.model.campus.DeviceInterfaceModel;

import java.util.List;

public interface DeviceInterfaceProvider extends SuperProvider {

    default BocloudResult<List<DeviceInterfaceModel>> list(Long deviceId) {
        throw new RuntimeException("unimplemented");
    }

    default BocloudResult<?> up(Long deviceId, Long portId) {
        throw new RuntimeException("unimplemented");
    }

    default BocloudResult<?> down(Long deviceId, Long portId) {
        throw new RuntimeException("unimplemented");
    }



}
